Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wsee.jws
Class RetryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.wsee.jws.RetryException

All Implemented Interfaces:
  Serializable

public class RetryException
extends Exception

This class can be thrown by JWS applications on non-blocking ports to indicate that the method should be called again at a later point in time.

The `retryDelay` value can be one of:

- DEFAULT_DELAY - use delay specified declaratively in JWS @Nonblocking
- 0 - no delay on retry
- n - delay for 'n' seconds before retry
- duration - a duration string in the format used for the retryDelay attribute of the \@jws:message-buffer tag.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `DEFAULT_DELAY`

Constructor Summary
`RetryException(String s)`
`RetryException(String s, long retrySeconds)`
`RetryException(String s, String retryString)`

Method Summary
`String` | `getRetryDelay()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DELAY

    public static final String DEFAULT_DELAY

See Also:
  Constant Field Values

Constructor Detail

### RetryException

    public RetryException(String s)

### RetryException

    public RetryException(String s,
                          long retrySeconds)

### RetryException

    public RetryException(String s,
                          String retryString)

Method Detail

### getRetryDelay

    public String getRetryDelay()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD